package cn.com.qmth.examcloud.core.questions.service.temp.vo;

import java.util.List;

public class TestQuestionInfo {

	/**
	 * ID
	 */
	private String ID;
	
	/**
	 * 试题类型
	 * 11-单选题；12-多选题；13-填空题；14-选词填空；15-完形填空；
	 * 20-判断题；42-复合题；60-问答题；69-名词解释
	 */
	private int QuestionType;
	
	/**
	 * 答案 (问答题)
	 */
	private String Answer;

	/**
	 * 创建时间
	 */
	private String CreateTime;
	
	/**
	 * 父id(用于套题-42)
	 */
	private String ParentId;
	
	/**
	 * QuestionInfoId
	 */
	private String QuestionInfoId;
	
	/**
	 * 题干HTML
	 */
	private String QuestionHTML;
	
	/**
	 * 题干文本
	 */
	private String QuestionTXT;
	
	/**
	 * 答案提示
	 */
	private String AnswerTips;
	
	/**
	 * 选项
	 */
	private List<TestOption> Options;
	
	/**
	 * 答案ID对应  选择题选项的答案
	 */
	private String AnswerId;
	
	/**
	 * 多选题答案集合
	 */
	private List<String> Answers;
	
	/**
	 * 填空题答案
	 */
	private List<TestFillAnswer> Blanks;
	
	/**
	 * 选词填空选项组
	 */
	private TestOptionGroup OptionGroup;

	public String getID() {
		return ID;
	}

	public void setID(String iD) {
		ID = iD;
	}

	public int getQuestionType() {
		return QuestionType;
	}

	public void setQuestionType(int questionType) {
		QuestionType = questionType;
	}

	public String getAnswer() {
		return Answer;
	}

	public void setAnswer(String answer) {
		Answer = answer;
	}

	public String getCreateTime() {
		return CreateTime;
	}

	public void setCreateTime(String createTime) {
		CreateTime = createTime;
	}

	public String getParentId() {
		return ParentId;
	}

	public void setParentId(String parentId) {
		ParentId = parentId;
	}

	public String getQuestionInfoId() {
		return QuestionInfoId;
	}

	public void setQuestionInfoId(String questionInfoId) {
		QuestionInfoId = questionInfoId;
	}

	public String getQuestionHTML() {
		return QuestionHTML;
	}

	public void setQuestionHTML(String questionHTML) {
		QuestionHTML = questionHTML;
	}

	public String getQuestionTXT() {
		return QuestionTXT;
	}

	public void setQuestionTXT(String questionTXT) {
		QuestionTXT = questionTXT;
	}

	public String getAnswerTips() {
		return AnswerTips;
	}

	public void setAnswerTips(String answerTips) {
		AnswerTips = answerTips;
	}

	public List<TestOption> getOptions() {
		return Options;
	}

	public void setOptions(List<TestOption> options) {
		Options = options;
	}

	public String getAnswerId() {
		return AnswerId;
	}

	public void setAnswerId(String answerId) {
		AnswerId = answerId;
	}

	public List<String> getAnswers() {
		return Answers;
	}

	public void setAnswers(List<String> answers) {
		Answers = answers;
	}

	public List<TestFillAnswer> getBlanks() {
		return Blanks;
	}

	public void setBlanks(List<TestFillAnswer> blanks) {
		Blanks = blanks;
	}

	public TestOptionGroup getOptionGroup() {
		return OptionGroup;
	}

	public void setOptionGroup(TestOptionGroup optionGroup) {
		OptionGroup = optionGroup;
	}

}
