package cn.com.qmth.examcloud.core.questions.service.rpc;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import cn.com.qmth.examcloud.core.questions.base.print.CoursePaperDto;

@FeignClient(value = "weiwenhai-ExamCloud-service-print")
public interface PrintCoursePaperClient {
	
	@RequestMapping(method=RequestMethod.POST, value="/api/ecs_print/coursePaper")
	public String saveCoursePaper(@RequestHeader("user_token") String user_token,@RequestBody CoursePaperDto coursePaperDto);
}
